#TODO: include a pkgconfig and cmake like in libbullet ?
#% {_libdir}/cmake/% {name}/
#% {_libdir}/pkgconfig/% {name}.pc

# Use commit defined in openmw-openmw-0.47.0/extern/CMakeLists.txt
%define recastnavigationshort e75adf8
%define recastnavigationcommit e75adf86f91eb3082220085e42dda62679f9a3ea

%define	libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define develname %mklibname %{name} -d

Name:           recastnavigation
Version:        1.5.1.git%{recastnavigationshort}
Release:        %mkrel 1
Summary:        Navigation-mesh Toolset for Games
Group:          System/Libraries
License:        zlib
URL:            https://github.com/recastnavigation/recastnavigation
#Source0:        https://github.com/recastnavigation/recastnavigation/archive/%{version}/%{name}-%{version}.tar.gz
Source0:		https://github.com/recastnavigation/recastnavigation/archive/%{recastnavigationcommit}.tar.gz

BuildRequires:  cmake

%description
Recast is state of the art navigation mesh construction toolset for games.

%package -n %{libname}
Summary:        Navigation mesh construction library
Group:          System/Libraries
Provides:       %{libname} = %{version}-%{release}

%description -n %{libname}
Recast is state of the art navigation mesh construction library for games.

%package -n %{develname}
Summary:        Development headers for the Bullet library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development headers for Recast navigation mesh construction library.

%prep
%autosetup -n %{name}-%{recastnavigationcommit}
perl -pne 's!SET\(VERSION 1.0.0\)!SET (VERSION %{version})!' -i CMakeLists.txt

%build
%cmake \
	-DRECASTNAVIGATION_DEMO=OFF \
	-DRECASTNAVIGATION_TESTS=OFF \
	-DRECASTNAVIGATION_EXAMPLES=OFF

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib*.so.%{version}
%{_libdir}/lib*.so.%{libmajor}

%files -n %{develname}
%doc CONTRIBUTING.md README.md
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib*.so


%changelog
* Thu Dec 08 2022 rapsys <rapsys> 1.5.1.gite75adf8-1.mga9
+ Revision: 1919248
- Use openmw required commit

* Thu Dec 08 2022 rapsys <rapsys> 1.5.1-2.mga9
+ Revision: 1919203
- Add missing DebugUtils lib and includes

* Thu Dec 08 2022 rapsys <rapsys> 1.5.1-1.mga9
+ Revision: 1919198
- Import recastnavigation lib version 1.5.1 required for openmw
- Created package structure for recastnavigation.

